
RSBag - Enhancement #1038
Allow composite flush strategies
06/26/2012 01:31 AM - J. Moringen

Status: Resolved Start date: 06/26/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.9
Description
For example
    -  more than 100 entries
    -  or 32 MB
    -  or previous flush longer than 5 s ago

Related issues:
Related to RSBag - Enhancement # 846: Flush index blocks? Resolved 02/02/2012
Related to RSBag - Feature # 1013: Allow async flushing of chunk and index bu... Resolved 06/21/2012
Related to RSBag - Tasks # 847: Make buffer write back configurable Resolved 02/02/2012

Associated revisions
Revision 55161534 - 09/30/2012 04:16 PM - J. Moringen

Improved error handling, tests for flush strategies

fixes #1038

    -  src/backend/flush-strategies.lisp
  (shared-initialize :before property-limit t): new method; ensure
  that the specified property appears as the specializer of at least
  one method
  (print-object property-limit t): improved printed representation

    -  test/backend/flush-strategies.lisp
  (buffer-property t mock-buffer eql :time-to-last-write): new method;
  required by new tests cases
  (define-basic-flush-strategy-suite :or): new test suite for
  composite flush strategy :or
  (define-basic-flush-strategy-suite :and): similar for :and
  (define-basic-flush-strategy-suite :not): similar for :not

History
#1 - 06/26/2012 03:35 AM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 50

#2 - 09/26/2012 03:25 PM - J. Moringen
- % Done changed from 50 to 80

#3 - 10/02/2012 11:32 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 80 to 100
Applied in changeset rsbag-cl|commit:55161534242fd26f2aabdbc66a082fe1cdab70c0.
